Bug 246193 - Modify /etc/sysconfig/wpa_supplicant to pass options and add -w (wait for device) as default option
Modify /etc/sysconfig/wpa_supplicant to pass options and add -w (wait for dev...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2007-06-29 00:13 EDT by Norm Murray
Modified: 2010-10-22 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-07 01:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to the /etc/init.d/wpa_supplicant file (545 bytes, patch)
2007-06-29 00:19 EDT, Wade Mealing
no flags Details | Diff
The /etc/sysconfig/wpa_supplicant patch (483 bytes, patch)
2007-06-29 00:20 EDT, Wade Mealing
no flags Details | Diff

  None (edit)
Description Wade Mealing 2007-06-29 00:13:34 EDT
Description of problem:

There is no method of easily passing options to the wpa_supplicant init scripts.
 I believe (and the customer)  the init scripts along with
/etc/sysconfig/wpa_supplicant to allow the setting of options through this

It would also be good to allow wpa_supplicant to start with the -w flag, if it
starts before the device is available (or brought up).

Version-Release number of selected component (if applicable):

wpa_supplicant 0.4.9-1.1.el4

Additional info:

Customers patch to be attached.
Comment 1 Wade Mealing 2007-06-29 00:19:58 EDT
Created attachment 158182 [details]
Patch to the /etc/init.d/wpa_supplicant file
Comment 2 Wade Mealing 2007-06-29 00:20:38 EDT
Created attachment 158183 [details]
The /etc/sysconfig/wpa_supplicant patch
Comment 6 RHEL Product and Program Management 2008-02-01 14:06:26 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.